import { Search } from "lucide-react"

import { Label } from "@/components/ui/label"
import {
  SidebarGroup,
  SidebarGroupContent,
  SidebarInput,
} from "@/components/ui/sidebar"

export function SearchForm({ ...props }: React.ComponentProps<"form">) {
  return (
    <form {...props}>
      <SidebarGroup className="rf:py-0">
        <SidebarGroupContent className="rf:relative">
          <Label htmlFor="search" className="rf:sr-only">
            Search
          </Label>
          <SidebarInput
            id="search"
            placeholder="Search the docs..."
            className="rf:pl-8"
          />
          <Search className="rf:pointer-events-none rf:absolute rf:top-1/2 rf:left-2 rf:size-4 rf:-translate-y-1/2 rf:opacity-50 rf:select-none" />
        </SidebarGroupContent>
      </SidebarGroup>
    </form>
  )
}
